Analyze wearable observations
curl --request POST \
--url https://api.foreverbetter.xyz/wearables/analyze \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "<string>",
"source_ids": [
"<string>"
],
"organization_id": "<string>",
"profile": {
"age": 123
}
}
'import requests
url = "https://api.foreverbetter.xyz/wearables/analyze"
payload = {
"user_id": "<string>",
"source_ids": ["<string>"],
"organization_id": "<string>",
"profile": { "age": 123 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_id: '<string>',
source_ids: ['<string>'],
organization_id: '<string>',
profile: {age: 123}
})
};
fetch('https://api.foreverbetter.xyz/wearables/analyze', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Reference
Analyze wearable observations
Analyze sleep, recovery, activity, and cardiovascular observations from wearable sources.
POST
/
wearables
/
analyze
Analyze wearable observations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Created
⌘I